Description

I'm going to put this as a "feature request" though it might be considered a bug.

I have three band raster data. On the "transparency" page I've set "0" to be "no data". The problem is, if even one of the three bands has a

"0", QGIS renders the entire pixel as being "no data". As such I get entire fields filled with "no data" speckles because a single band (red)

is often 0.

I'd suggest allowing the user to set "no data" on a per-band basis or requiring that all symbolised pixels be no data before rendering as

no-data.

History

#1 - 2014-03-17 12:14 PM - Martin Dobias

Isn't it sufficient to setup custom transparency pixel list in the Transparency tab? It is possible to choose which colors (R,G,B) should be transparent.

#2 - 2014-03-19 05:23 AM - Jonathan Moules

I didn't know about that. But seeing it now, what's the point of having the "no data value" option at all?

#3 - 2014-03-19 08:47 AM - Etienne Tourigny

Individual raster bands have a nodata value, so it's a simple way to mask them.

#4 - 2014-06-24 05:07 AM - Paolo Cavallini

- Category set to Rasters

#5 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No
